Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB Java Edition version 3.2.76
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sleepycat.je
Class PreloadConfig

    java.lang.Object
      com.sleepycat.je.PreloadConfig

All Implemented Interfaces:
  Cloneable

    public class PreloadConfig

extends Object
implements Cloneable

Specifies the attributes of an application invoked preload operation.

Field Summary
`static PreloadConfig` | `DEFAULT` Default configuration used if null is passed to `Environment.checkpoint`.

Constructor Summary
`PreloadConfig()` An instance created using the default constructor is initialized with the system's default settings.

Method Summary
`boolean` | `getLoadLNs()` Return the configuration of the preload load LNs option.
`long` | `getMaxBytes()` Return the number of bytes in the cache to stop the preload at..
`long` | `getMaxMillisecs()` Return the number of millisecs to stop the preload after.
`void` | `setLoadLNs(boolean loadLNs)` Configure the preload load LNs option.
`void` | `setMaxBytes(long maxBytes)` Configure the maximum number of bytes to preload.
`void` | `setMaxMillisecs(long maxMillisecs)` Configure the maximum number of milliseconds to execute preload.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT

    public static final PreloadConfig DEFAULT

  Default configuration used if null is passed to `Environment.checkpoint`.

Constructor Detail

### PreloadConfig

    public PreloadConfig()

  An instance created using the default constructor is initialized with the system's default settings.

Method Detail

### setMaxBytes

    public void setMaxBytes(long maxBytes)

  Configure the maximum number of bytes to preload.

  The default is 0 for this class.

  Parameters:
    `maxBytes` - If the maxBytes parameter is non-zero, a preload will stop when the cache contains this number of bytes.

### getMaxBytes

    public long getMaxBytes()

  Return the number of bytes in the cache to stop the preload at..

  This method may be called at any time during the life of the application.

  Returns:
    The number of bytes in the cache to stop the preload at..

### setMaxMillisecs

    public void setMaxMillisecs(long maxMillisecs)

  Configure the maximum number of milliseconds to execute preload.

  The default is 0 for this class.

  Parameters:
    `maxMillisecs` - If the maxMillisecs parameter is non-zero, a preload will stop when this amount of time has passed.

### getMaxMillisecs

    public long getMaxMillisecs()

  Return the number of millisecs to stop the preload after.

  This method may be called at any time during the life of the application.

  Returns:
    The number of millisecs to stop the preload after.

### setLoadLNs

    public void setLoadLNs(boolean loadLNs)

  Configure the preload load LNs option.

  The default is false for this class.

  Parameters:
    `loadLNs` - If set to true, the preload will load Leaf Nodes (LNs) containing the data values.

### getLoadLNs

    public boolean getLoadLNs()

  Return the configuration of the preload load LNs option.

  Returns:
    The configuration of the preload load LNs option.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB Java Edition version 3.2.76
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1996,2008 Oracle. All rights reserved.